Issues producing a nuget package that targets UWP

XavierRigauXavierRigau USMember ✭✭

nuspec:

<?xml version="1.0" encoding="utf-8"?>
<package xmlns="http://schemas.microsoft.com/packaging/2012/06/nuspec.xsd">
    <metadata>
        <id>HP.Pdsmq.Xamarin.2015</id>
        <version>1.0.0.1</version>
        <authors>Hewlett-Packard Development Company,L.P.</authors>
        <owners>Hewlett-Packard Development Company,L.P.</owners>
        <requireLicenseAcceptance>false</requireLicenseAcceptance>
        <description>Pepto Xamarin NuGet Package for Visual Studio 2015 Update 2. Platforms: .NET, UWP and OSX</description>
        <copyright>Copyright (c) 2017 Hewlett-Packard Development Company, L.P. All rights reserved.</copyright>
        <dependencies>
            <group targetFramework="UAP10.0" />
        </dependencies>
    </metadata>
</package>

errors when installing the package

Installing HP.Pdsmq.Xamarin.2015 1.0.0.1.
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063). Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063) / win10-arm. Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063) / win10-arm-aot. Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063) / win10-x64. Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063) / win10-x64-aot. Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063) / win10-x86. Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package HP.Pdsmq.Xamarin.2015 1.0.0.1 is not compatible with uap10.0.15063 (UAP,Version=v10.0.15063) / win10-x86-aot. Package HP.Pdsmq.Xamarin.2015 1.0.0.1 supports: uap10.0 (UAP,Version=v10.0)
Package restore failed. Rolling back package changes for 'UWPVerifier'.
Time Elapsed: 00:00:05.0282511
========== Finished ==========

What's wrong in the nuspec? Somewhere else?

Posts

  • DanielPackardDanielPackard USMember

    Hey @XavierRigau -- did you have any luck solving this issue? I am having very similar problems with a nuget package I created.

    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240). Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240) / win10-arm. Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240) / win10-arm-aot. Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240) / win10-x64. Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240) / win10-x64-aot. Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240) / win10-x86. Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package Qhull2015_2__7_2_0 1.0.4 is not compatible with uap10.0.10240 (UAP,Version=v10.0.10240) / win10-x86-aot. Package Qhull2015_2__7_2_0 1.0.4 supports: uap10.0.10240 (UAP,Version=v10.0.10240)
    Package restore failed. Rolling back package changes for 'PclUtilitiesStandaloneDemo'.
    
Sign In or Register to comment.